{%- block choice_widget_options -%}
    {% set valueOptionExist = false %}
    {% for group_label, choice in options %}
        {%- if choice is iterable -%}
            <optgroup label="{{ choice_translation_domain is same as(false) ? group_label : group_label|trans({}, choice_translation_domain) }}">
                {% set options = choice %}
                {{- block('choice_widget_options') -}}
            </optgroup>
        {%- else -%}
            <option value="{{ choice.value }}"{% if choice.attr %}{% with { attr: choice.attr } %}{{ block('attributes') }}{% endwith %}{% endif %}{% if choice is selectedchoice(value) %}{% set valueOptionExist = true %} selected="selected"{% endif %}>{{ choice_translation_domain is same as(false) ? choice.label : choice.label|trans({}, choice_translation_domain) }}</option>
        {%- endif -%}
    {% endfor %}

    {% if valueOptionExist == false and value != '' and value is not empty %}
        {%- if value is iterable -%}
            {% for choice in value %}
                <option value="{{ choice }}" selected="selected">{{ choice }}</option>
            {% endfor %}
        {%- else -%}
            <option value="{{ value }}" selected="selected">{{ value }}</option>
        {%- endif -%}
    {% endif %}
{%- endblock choice_widget_options -%}